#========================================================================================
# package      DE_EPAGES::Ogone::t::unit::PaymentMethodPostfinance
# state        public
#----------------------------------------------------------------------------------------
# description  Unit test for class PaymentMethodPostfinance.
#========================================================================================
package DE_EPAGES::Ogone::t::unit::PaymentMethodPostfinance;
use base DE_EPAGES::Test::API::UnitTest::Test;

use DE_EPAGES::Ogone::API::Object::PaymentMethodPostfinance;
use Test::Exception;
use Test::More;

use strict;

sub test {
    my $self = shift;
    $self->check_return_featureName();
    done_testing();
}

sub check_return_featureName {
    my $self        = shift;
    my $SubTestName = ( caller(0) )[3];

    my $gotFeatureName = DE_EPAGES::Ogone::API::Object::PaymentMethodPostfinance::featureName();
    is($gotFeatureName, 'Postfinance', "$SubTestName - Postfinance feature name is returned." );

    return;
}

__PACKAGE__->runScript();

1;